2023.0.1 Build 2885

New Features:	
	* Added HMITT JavaScript library

Enhancements:
	* Added new CODEPOINTS command to AQL
	* Improved automatic linking

Bug Fixes:
	* Resolved several minor issues for servers running PHP8+
	* Fixed issue creating a 3D environment based on an SVG with only POLYGON entries
	* Fixed issue importing asset bundles with new relationships
	* Resolved issue with restarting certain types of Python-based historical driver
	* Installer now overwrites default addons if they are already present

2023.0.1 Build 2880

New Features:
	* Added support for multiple authentication schemes
	* Added database option to select default authentication method
	* Added API proxy support for popup/web-based authentication
	* Added SimpleSAML library
	* Added toggle to force interactive logon through SSL

Enhancements:
	* Plugin modules are now accessible without authentication
	* Added new 'Auth Module' addon hook
	* Added several new functions to the Authentication System backend

Bug Fixes:
	* Resolved several logged warnings stemming from the upgrade to PHP8
	* Logging in should no longer redirect to non-page URLs such as AJAX queries
	* Login redirection will no longer redirect to a page with 'login' in its name

2023.0.0 Build 2855

New Features:
	* New Service-Based Event System Now Available
	* New timeframe UI available
	* Updated all components to 64-bit
	* Automatic log rotation for service logs now available
	* Added common and reference events to Administration
	* Web-based data-pinning system now available
	* New Apache extensions available by default
	* Property visibility can now be adjusted for analytics
	* Python libraries for reporting (MatPlotLib/Pandas) are now included
	* Python libraries for AI (Scikit-Learn) are now included
	* Driver status now available as an alert endpoint for the dynamic alert system

Enhancements:
	* Service logs are now writable & trimmable on Windows systems
	* Enhanced the Python ARDI API
	* ARDI Extension Addon updated to new version
	* AQL Query Language updated to new version
	* Data Explorer updated to new version
	* Chart links now redirect to Data Explorer if the addon is available
	* Removed possibly destructive options from import pages
	* Data bindings on child assets now removed when properties are removed from a template.
	* Warnings now appear when removing properties from types
	* Increased size of menu in diagrams
	* Administrators can now click on the type names in the Dashboard
	* Dashboard colour scheme and iconography improved
	* Improvements to SVG embedding & animation
	* Improved auto-linking numeric matching
	* Updated 404 and 403 error messaging
	* Improved support for I/O redirection
	* Significant reduction in service logging noise

Bug Fixes:
	* Fixed issues with cache generation after type changes
	* Fixed issues with cache generation after addition of non-standard properties
	* Code changes to limit issues with the upgrade to PHP8+
	* Multiple usability and efficiency improvements
	* Position indicator is not visible until an item is placed on the map

2022.1.0 Build 2804

New Features:
	* SVG files with embedded code can now be downloaded in raw form by adding /raw to the media URL.
	* Dynamic Alert Sources are now supported

Enhancements:
	* Improved multi-threading on standard drivers

Bug Fixes:
	* Resolved issue with drivers not restarting in a timely fashion due to TCP WAIT status
	* Fixed issue with single-site ARDI installations without a settings.php file
	* Updated default installation database to 1.0.1 rather than 0.9.9e
	* Fixed issue with updated cache files not reloading immediately
	* Resolved exception when spinning up new, simple sources on Python-based historical drivers

2022.1.0 Build 2803

New Features:
	* Added new web-based 'pin' system	

Enhancements:
	* Includes new versions of standard plugins (updates for AQL & Data Explorer)
	* Support for addins with embedded Python code
	* Support for new extended licensing model
	* Updated to new ARDI Logo

Bug Fixes:
	* Fixed timing issue in Javascript HMI classes
	* Fixed excess log entries being created in error log during high AQL traffic
	* Fixed SSL certificate issue when installing into path with spaces on Windows

2022.0.0 Build 2802

New Features:
	* Added 'Copy Live Data Binding' and 'Copy Transforms from Live Data' to data binding menu
	* Historical drivers now get point classification data, making it easier to distinguish continous or discrete data.

Enhancements:
	* Added 'User' icon in top-right corner to improve sign-in on small devices.
	* Changed 'Favourite' button to an icon for better clarity on small devices.
	* Additional information now available when binding external data to properties.
	* Addons can now self-upload media to assets

Bug Fixes:
	* Editing a historical bindings transform no longer shows live binding data.
	* Type search results are no-longer mis-labelled as 'Tag'
	* Prevented some redundant log entries
	* Fixed issue where Javascript APIs would not run from file:/ URLs.
	* Fixed issue with driver launcher that could cause problems in mixed Python 2/Python 3 environments on Windows.
	* Fixed issue with Linux upgrade installer where setting files could be overwritten for the default site.
	* Fixed issue with Windows upgrade installer where Python files would not always overwrite existing files.

2022.0.0 Build 2801

New Features:
	* Linux installer upgraded to support Ubuntu 22
	* Consolidator SSL Proxy added to allow ARDI to be hosted using SSL/TLS security
	* Clicking the location indicator now allows you to hilight a specific point on the map

Enhancements:
	* Installer now includes several new drivers by default
	* Time travel controls are no longer available in charting when no channels have history.
	* Internal functions now use '127.0.0.1' rather than 'localhost' to improve performance on IPv6 systems.
	* Log rotation files are automatically installed on Linux versions
	* Javascript libraries updated to support SSL connections
	* Improved historical driver output speed
	
Bug Fixes:
	* Removed recurring error log entry
	* Output cleanup was not always running as expected during 'Changes' requests
	* Added timeouts to all requests functions, to prevent hanging in unusual IPv6 environments.

2022.0.0 Build 2800

Breaking Change Notice(s):
	* The deprecated DAQ folder will now no-longer function. 

New Features:
	* Driver Issue Reporting allows drivers to report specific problems (such as dependencies missing)
	* Custom Alert Functions have been added
	* Status addon is now included by default
	* Live Contexts have been added, but are not fully supported by all UIs as yet
	* New Driver Status API function now available
	* You can now change a properties type while maintaining its existing binding (used when splitting one property into many).

Enhancements:
	* Alert generation has been moved to a seperate, external service.
	* When binding properties, options with no binding are now highlighted
	* Major overhaul of driver feedback and status display
	* All log files - including consolidator logs - should now appear in the ARDI log folder
	* logrotate configuration files are now included in the ARDI installer. Suggest Logwot8 for Windows.
	* The Pandas python module is now included with the installer
	* The individual elements of 3D position, rotation and scales can now be bound.
	* AQL improvements for sub-second data and text values
	
Bug Fixes:
	* Editing the binding of a position in a single-site ARDI server could result in a page of text
	* Fixed issues dragging the diagram SVG
	* Some environment layer configurations would cause the map to show the incorrect layer
	* The image-layers on Y-Up environments could be incorrectly positioned on maps
	* Various small bugs & issues
	* Fixed issue with white screen after logging in immediately after searching.

2021.0.0 Build 2731

Breaking Change Notice(s):
	* Infrastructure in this version of ARDI has moved from Python 2.7 to Python 3.8. This may cause existing drivers - particularly custom drivers - to fail.

New Features:
	* Driver log files have been relocated to /log folder in Windows builds
	* Extension management addin is included as standard in new installs

Enhancements:
	* Moved to new Apache version
	* Moved to new PHP version
	* Moved to new Python version
	* Migrated from MySQL to MariaDB

Bug Fixes:
	* Various small/cosmetic bug fixes
	* Resolved 'dead page' after importing bindings
	* Resolved 'dead page' after updating username/password

1.0.0 rc Build 2716

New Features:
	* Added new hook points for Addon integration
	* Began internationalisation of core product areas

Bug Fixes:
	* A relationship created as a hierarchy may no longer be edited to a physical/logical, and vice-versa
	* Deleting assets will now correctly remove their Media & Environment details from storage
	* You can now remove environments from assets
	* Deleting assets will correctly clean-up data sources and bindings

1.0.0 rc Build 2715

New Features:
	* Mapping can now be specified in environments to map real-world, ARDI and GPS coordinate systems.	
	* AR scans now indicate the availability of 360 photography on related assets
	* Added new class of 'subdued' assets which appear last in search results
Enhancements:
	* Improved 360 routing
	* All builds now digitally signed
Bug Fixes:
	* Assets being loaded by script players will now be correctly proxied to fetch assets based on type.
	* Fixed an issue causing services to be launched for addins with incomplete service settings.
	* Fixed an issue causing services to not be launched correctly when paths include spaces

1.0.0 rc Build 2712

New Features:
	* Relationships can now be set to 'unclosured' to improve performance in extremely complex, trivial relationships such as Visible
	* Added ARDI-360 external update functionality
	* Added ability for routing to be limited to a sub-set of assets
	* Added additional hooks for ARDI-360
	* Added additional addin integrity checks
	* Added API access to map SVG files
Bug Fixes:
	* Resolved issue with the diagram not correctly presenting assets with no model
	* Fixed problem with isolation calculations being performed in AR scans even when isolation was disabled
	* Problems with routing accuracy improved
	
1.0.0 rc Build 2709

New Features:
	* Added interface to assign top-down SVG symbols to improve 2D mapping
	* Added 'clients' folder to allow AR/VE/360 clients to recognise if they are out of date.
	* Added significantly to chat/collaboration features
	* Added collaboration sync options
	* Added pin list for web users

Enhancements:
	* Additional data is now visible on the map page, as well as access to dashboards and diagrams.

1.0.0 rc Build 2706

New Features:
	* ARDI-VE integration from the main web interface
	* VE Scene Cache added to radically improve load-times for complex VE scenes

Enhancements:
	* Improvements to the types of data that is cached, and the types of data loaded at runtime.
	* Improved VE scene generation time on servers with isolation monitoring

Bug Fixes:
	* Fixed issues saving the category for media items.
	* Fixed issues overwriting existing media items.
	* Reduced some potential long-load scenarios with very complex relationships on an asset.

0.9.9 Build 2705

Enhancements:
	* General settings & the ability to add new sites are no longer available to anything other than the 'default' site (allows more secure multi-tennanting).
	* [Security] Moving between sites on an isolated system automatically logs out the current user (if any).
	* 'Reload' button added to data sources
	* 'Alert Reset' button added to clear all active alerts and restart drivers
	* Alert Reset automatically occurs as part of the restore process, releasing alerts that might have been active during the backup.

Bug Fixes:
	* In Isolated mode, logging into one database as admin would give privileges to other sites hosted on the same server. 
	* When creating a new database on a Ubuntu 18.04 server, MySQL user permissions were not being correctly assigned due to a MySQL server upgrade.
	* Information was missing from the Data Binding export.
	* Removed unwanted data types from installer
	* VE 'getrelationships' API call updated to improve accuracy when connects are between assets in the same model.
	* VE 'getadditionalproperties' API call updated to deal with out-of-bounds time requests
	* [Python Drivers] Issues with aggregation ('min'/'max'/'avg') queries in Python driver infrastructure resolved.
	* [Windows Drivers] Issues with 'changes' queries resolved.
	* Fixed log-file location on Windows servers.
	* Removed false recirculation detection on asset diagrams.	

0.9.9 Build 2704

New Features:
	* For common pages, searching now returns you to the page you are already on for the new asset. For example, searching from Property Details will take you directly to the new assets property details, not its dashboard.
	* For Windows servers, drivers can now have per-driver nssm.conf files to modify service behaviour (ie running specific drivers as elevated users).

Enhancements:
	* [API] Added new media hooks to filter existing media
	* [API] Added new functions to make verifying that an addin is enabled simpler
	* Added support for AddToLayer effects, preventing large assets from occluding smaller ones on the map.
	* Added the ability to import/export ERN numbers.
	* Increased the maximum media upload file size
	* Added recognition of common video file extensions to media upload
	* Added the ability to delete script files
	
Bug Fixes:
	* Debug output was showing when uploading files for scripts.

0.9.9 Build 2703

Enhancements:
	* Added driver redirection for testing/development/staging ARDI servers

Bug Fixes:
	* Installer included incorrect version file - build number was not correctly isolated.
	* Resolved issue of existing relationships when attaching a type to an asset using the Relationships::Add function.

0.9.9 Build 2702

Enhancements:
	* The name of the previously-restored backup file (if any) is now shown when restoring.
	* Binding files have been made smaller & faster to download by removing surplus XML lines

Bug Fixes:	
	* Fixed issues with binding to FBX file parts that are more than 1 item deep
	* Fixed the Login/Logout button being unavailable if you had chosen a custom colour for your database

0.9.9 Build 2701

Features: 
	* Fast-loading environment prototype now included for testing and evaluation.
	* Added 'Hide Subsites' Multi-Site Option
	* Added new UI page for visiting the root of multi-tenant ARDI sites

Enhancements:
	* Significant improvement to bulk history fetch speed when requesting large numbers of properties.
	
Bug Fixes:
	* Removed duplicate entries appearing when binding assets and properties to model components.
	* Version / build number now loaded from info folder, fixing out-of-date build numbers appearing in the web UI.
	* Removed error messages being logged when viewing hierarchy root asset diagrams

0.9.9 Build 2580

Features: 

   * BETA: Property import and export features are available.
   * BETA: Added a new API function to allow ARDI-VE to save stretched asset changes.

Enhancements:

   * Includes cyclic relationship detection on the Diagram page (the page most often disrupted by cyclic relationships). A warning is displayed if such a reference is detected.
   * Media folders are now erased during the restoration of a database.
   * Most page requests will no longer 'block', allowing you to open multiple pages at once in a single browser.
   * Improved efficiency of many API requests

Bug Fixes:

	* Cyclic relationships no longer cause diagrams and specific other API functions to enter an endless loop. Note that this doesn't bring full cyclic reference support to ARDI - it simply makes them less destructive to the system.
    * Fixed mapping issues for some items in the Node Editor.
	* Fixed problems with partial or limited asset imports.

0.9.2 Build 1305

Features:

	* You can now upload 3D environments to ARDI from the web interface
	* Map View allows you to place assets quickly into your 3D environment via a 2D map.
	* Bulk Changes are now possible using both the Asset Tools and Administration|Utilities pages
	* You can now map historical information based on your live information quickly and easily from the Administration|Utilities page

Enhancements:
	* References are no longer counted when deciding if child values should be shown in the Dashboard and in AR.
	* An exact match with a tag when searching on the sidebar will no longer take you directly to the tag asset (as the name of the tag is most likley present in assets that USE the tag).
	* When showing the values of child objects or flat (non-complex) object collections, the table of values will scale appropriately for small screens, as there is no need to convey any true structure to these items.
	* Values with properties (ie. template properties) will float to the top of the set of properties when creating new assets.

Bug Fixes:

	* Fixed an issue with duplicated elements not having correct closure tables
	* Made the dashboard and AR child asset threshold (which determines the maximum number of children an asset can have before they are ignored when viewing empty parents) INI adjustable and constistent between the web and AR versions.

0.9.2 Build 1290

Features:

	* The Transform UI now allows re-entering and editing an existing Transform
	* The Alert List is now available from the sidebar and top-bar
	* Asset license limits are now available
	* Added license status to connection API function
	* Added more options for setting the location of an asset
	* Added a License Information page

Enhancements:
	* Changed charts to use a much darker colour for asset values to boost contrast.
	* URLs are now no longer counted when determining if the dashboard should show information contained in child-assets
	* Changed dashboard measurements for References to be more consistent with other dashboard elements

Bug Fixes:

	* Fixed issues with asset duplication
	* Made scale and rotation bindable, as well as simply position
	* Fixed an issue where some linking information was not being saved when bulk linking
	* Removed blank message when erasing relationships
	* Rate properties are properly marked in configuration API calls
	* Fixed an issue with blank site lists in multi-site queries
	* Template data was not being inherited as expected
	* Guest users did not get access to the diagram controls
	* The 'Search' button went to the incorrect URL on the Find Assets page
	* Fixed error in caching when an asset had more than one reference

0.9.2 Build 1282

Features:

	* Added support for 'State' properties. 
	* Properties can now be marked as 'rates', adjusting how process flow interacts with them in ARDI web.
	* Adopted the ARDI AR feature of showing the properties of child objects if the parent object is empty.
	* Enlarged dashboard boxes on medium-size displays
	* Added the 'Link' button to link multiple properties at one time
	* Added property overriding using the Monitors relationship
	* Added asset SVG file paths to asset caches, allowing addition of SVG files to the diagram
	* Added 'Tree View' when navigating hierarchies
	* Added dashboard scroll controls for large dashboards
	* Added 'Enumeration' and 'Rounding' transforms for incoming data.
	* Extended the Transform UI to support the above.

Bug Fixes:

	* Removed error message from relationship deletion
	* Cleaned up excessive y-axis ticks in large charts
	* Fixed issue with secondary measurements flowing incorrectly 	
	* Flowing properties now ignore values when multiple assets give conflicting results (except for when they share a monitoring source)
	* Fixed problems adding and updating Text properties
	* Fixed issue with the default values of a Measurement appearing in the wrong location.
	* Resolved problem with multiple types of Transform applying at once.
	* Switched to different logging system so that LogRotate doesn't void log files.
	* Improved the ARDI Javascript API to correctly connect to servers with a remote consolidator.
	* General improvements for remote DAQ and consolidator applications

0.9.2 Build 1281

Features:
	
	* Added the ability to force drivers into 'Debugging Mode' via IPC without restarting.
	* Added working live charts
	* Linked data on the dashboard now updates live

Bug Fixes:	

	* Shifted driver log files to avoid conflicts between modes and profiles of drivers on the same asset.
	* Driver long-term stability improvements.
	* Drivers now report anything written to stderr to the driver main log file.